# Class PostOfferRequest

#### Hierarchy

- unknown
  - PostOfferRequest

- Defined in src/protobuf/grpc_pb.d.ts:1506
- Defined in src/protobuf/grpc_pb.d.ts:1554

#####
Index

### Constructors

constructor

### Methods

getAmount
getBuyerAsTakerWithoutDeposit
getCurrencyCode
getDirection
getIsPrivateOffer
getMarketPriceMarginPct
getMinAmount
getPaymentAccountId
getPrice
getReserveExactAmount
getSecurityDepositPct
getTriggerPrice
getUseMarketBasedPrice
serializeBinary
setAmount
setBuyerAsTakerWithoutDeposit
setCurrencyCode
setDirection
setIsPrivateOffer
setMarketPriceMarginPct
setMinAmount
setPaymentAccountId
setPrice
setReserveExactAmount
setSecurityDepositPct
setTriggerPrice
setUseMarketBasedPrice
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PostOfferRequest(): PostOfferRequest

- #### Returns PostOfferRequest

  Inherited from jspb.Message.constructor

## Methods

### getAmount

- getAmount(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1522

### getBuyerAsTakerWithoutDeposit

- getBuyerAsTakerWithoutDeposit(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1543

### getCurrencyCode

- getCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1507

### getDirection

- getDirection(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1510

### getIsPrivateOffer

- getIsPrivateOffer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1540

### getMarketPriceMarginPct

- getMarketPriceMarginPct(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:1519

### getMinAmount

- getMinAmount(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1525

### getPaymentAccountId

- getPaymentAccountId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1537

### getPrice

- getPrice(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1513

### getReserveExactAmount

- getReserveExactAmount(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1534

### getSecurityDepositPct

- getSecurityDepositPct(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:1528

### getTriggerPrice

- getTriggerPrice(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1531

### getUseMarketBasedPrice

- getUseMarketBasedPrice(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1516

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1546

### setAmount

- setAmount(value: string): PostOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1523

### setBuyerAsTakerWithoutDeposit

- setBuyerAsTakerWithoutDeposit(value: boolean): PostOfferRequest

- #### Parameters

  - ##### value: boolean

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1544

### setCurrencyCode

- setCurrencyCode(value: string): PostOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1508

### setDirection

- setDirection(value: string): PostOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1511

### setIsPrivateOffer

- setIsPrivateOffer(value: boolean): PostOfferRequest

- #### Parameters

  - ##### value: boolean

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1541

### setMarketPriceMarginPct

- setMarketPriceMarginPct(value: number): PostOfferRequest

- #### Parameters

  - ##### value: number

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1520

### setMinAmount

- setMinAmount(value: string): PostOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1526

### setPaymentAccountId

- setPaymentAccountId(value: string): PostOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1538

### setPrice

- setPrice(value: string): PostOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1514

### setReserveExactAmount

- setReserveExactAmount(value: boolean): PostOfferRequest

- #### Parameters

  - ##### value: boolean

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1535

### setSecurityDepositPct

- setSecurityDepositPct(value: number): PostOfferRequest

- #### Parameters

  - ##### value: number

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1529

### setTriggerPrice

- setTriggerPrice(value: string): PostOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1532

### setUseMarketBasedPrice

- setUseMarketBasedPrice(value: boolean): PostOfferRequest

- #### Parameters

  - ##### value: boolean

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1517

### toObject

- toObject(includeInstance?: boolean): PostOfferRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PostOfferRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1547

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PostOfferRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1550

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PostOfferRequest, reader: BinaryReader): PostOfferRequest

- #### Parameters

  - ##### message: PostOfferRequest

  - ##### reader: BinaryReader

  #### Returns PostOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1551

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PostOfferRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PostOfferRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1549

### `Static` toObject

- toObject(includeInstance: boolean, msg: PostOfferRequest): PostOfferRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PostOfferRequest

  #### Returns PostOfferRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1548

Generated using TypeDoc